=== debian/changelog ===
ros-rolling-kinematics-interface (0.1.0-2jammy) jammy; urgency=high

  * Fix overriding of install (#13 <https://github.com/ros-controls/kinematics_interface/issues/13>)
  * [CI] Fix and update formatting workflow and hooks (#14 <https://github.com/ros-controls/kinematics_interface/issues/14>)
  * Contributors: Dr. Denis, Tyler Weaver

 -- Denis Štogl <denis@stogl.de>  Fri, 27 Jan 2023 08:00:00 -0000

ros-rolling-kinematics-interface (0.0.2-2jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Fri, 21 Oct 2022 07:00:00 -0000

ros-rolling-kinematics-interface (0.0.1-2jammy) jammy; urgency=high

  * Make formatting of comments unified and nice. (#11 <https://github.com/ros-controls/kinematics_interface/issues/11>)
  * Enable interface to use Eigen per default (#6 <https://github.com/ros-controls/kinematics_interface/issues/6>)
  * Add CI setup to the repository. (#8 <https://github.com/ros-controls/kinematics_interface/issues/8>)
  * Update CMakeFiles, correct deps and formatting. (#10 <https://github.com/ros-controls/kinematics_interface/issues/10>)
  * add pre-commit to repo (#7 <https://github.com/ros-controls/kinematics_interface/issues/7>)
  * Fix more indentations and alphabetize
  * Update dependencies and maintainers
  * Kinematics interface with KDL implementation
  * change directory name and use header only interface
  * changed plugin name to kinematics_interface_kdl/KDLKinematics
  * add calculate_jacobian as new interface method
  * added argument to specify which link the Jacobian is calculated with respect to
  * made interface stateless, changed method name, fixed small bugs
  * updated README and cleaned up code
  * added KDL plugin for kinematics interface
  * Contributors: Paul Gesel, Andy Zelenak, Bence Magyar, Denis Štogl

 -- Denis Štogl <denis@stogl.de>  Tue, 11 Oct 2022 07:00:00 -0000
