=== debian/control ===
Source: ros-rolling-kinematics-interface
Section: misc
Priority: optional
Maintainer: Denis Štogl <denis@stogl.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-kinematics-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-workspace
Description: Kinematics interface for ROS 2 control
